/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#if !defined(_DATA_CONTACT_EDIT_H)
#define _DATA_CONTACT_EDIT_H

#include <time.h>
#include <contacts.h>
#include "data/data_common.h"

typedef struct {
	contacts_record_h contact_record;
	bool is_new_contact;
} sc_ec_contact_edit;

sc_ec_contact_edit *data_contact_edit_new(void);
sc_ec_contact_edit *data_contact_edit_get(int contact_id);
void data_contact_edit_destroy(sc_ec_contact_edit *data);
int data_contact_edit_save(sc_ec_contact_edit *data);
bool data_contact_edit_get_str_value(sc_common_contact_fields field_type, contacts_record_h rec_h, char **value);
bool data_contact_edit_get_int_value(sc_common_contact_fields field_type, contacts_record_h rec_h, int *value);
bool data_contact_edit_set_str_value(sc_common_contact_fields field_type, contacts_record_h rec_h, const char *value);
bool data_contact_edit_set_int_value(sc_common_contact_fields field_type, contacts_record_h rec_h, int value);
bool data_contact_edit_check_contact_name(contacts_record_h rec_h);
struct tm data_contact_edit_get_date(contacts_record_h rec_h);

#endif
