/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#if !defined(_DATA_GROUP_EDIT_H)
#define _DATA_GROUP_EDIT_H

#include <Eina.h>
#include "data/data_common.h"

typedef struct {
	int contact_id;
	char *name;
	Eina_Bool is_checked;
} group_edit_member_check_data;

contacts_list_h data_group_edit_get_contacts_to_add(int group_id);
contacts_list_h data_group_edit_get_contacts_to_remove(int group_id);
Eina_List *data_group_edit_create_list_data(int group_id, contacts_list_h list);

#endif
