/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#if !defined(_VIEW_H)
#define _VIEW_H

#include <Elementary.h>
#include <Eina.h>

Eina_Bool view_create(void *user_data);
Evas_Object *view_create_win(const char *pkg_name);
Evas_Object *view_create_layout(Evas_Object *parent);
Evas_Object *view_create_conformant(Evas_Object *win);
Evas_Object *view_create_naviframe(Evas_Object *parent, const char *part_name);
Evas_Object *view_create_list(Evas_Object *parent);
Evas_Object *view_create_genlist(Evas_Object *parent);
Elm_Genlist_Item_Class *create_genlist_item_class(const char *item_style, Elm_Genlist_Item_Text_Get_Cb on_text_get_cb, Elm_Genlist_Item_Content_Get_Cb on_content_get_cb);
Evas_Object *view_create_button(Evas_Object *parent, const char *caption, const char *part_name, const char *style, Evas_Smart_Cb on_click_cb, void *data);
Evas_Object *view_create_toolbar(Evas_Object *parent, const char *part_name);
Evas_Object *view_create_context_menu(Evas_Object *parent);
Evas_Object *view_create_popup(Evas_Object *parent, const char *title, const char *message, Evas_Smart_Cb on_ok_cb);
Evas_Object *view_create_edit_field(Evas_Object *parent, const char *guide_text, bool multiline);
Evas_Object *view_create_datetime(Evas_Object *parent, struct tm date);
Evas_Object *view_create_check(Evas_Object *parent, Eina_Bool *is_checked);
void view_display_context_menu(Evas_Object *menu, Evas_Object *align_to);
void view_destroy(void);

#endif
